package org.springblade.third.doordevice.feign;

import org.springblade.third.doordevice.entity.QinlinApiLog;
import org.springblade.third.doordevice.vo.QinlinApiLogVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class QinlinApiLogClientFallback implements IQinlinApiLogClient {
            /**
         * 详情
         */
        @Override
        public QinlinApiLogVO detail(QinlinApiLog qinlinApiLog) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<QinlinApiLogVO> list(QinlinApiLog qinlinApiLog) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( QinlinApiLog qinlinApiLog) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( QinlinApiLog qinlinApiLog) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( QinlinApiLog qinlinApiLog) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
